"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const TwitterArchive_1 = require("../TwitterArchive");
const __1 = require("..");
commander_1.default
    .option('-f, --file <zipFile>', "Archive ZIP to load")
    .parse(process.argv);
(async () => {
    const archive = new TwitterArchive_1.TwitterArchive(commander_1.default.file);
    await archive.ready();
    const tweetWithMedia = archive.tweets.all.find(tweet => __1.TwitterHelpers.isWithMedia(tweet));
    if (tweetWithMedia) {
        console.log('Found tweet with media: ID', tweetWithMedia.id_str, __1.TwitterHelpers.dateFromTweet(tweetWithMedia));
        const firstMedia = await archive.medias.fromTweetMediaEntity(tweetWithMedia.extended_entities.media[0]);
        console.log('File extracted:', firstMedia.name, firstMedia.type, firstMedia.size, 'bytes');
    }
})();
